Get a roll call
One roll call with every member's vote.
GET https://www.chicagopolitics.org/api/v1/roll-calls/{matterId}
Authorizations
| Header | Value |
|---|---|
Authorization | Bearer <key>. Get a key; see authentication. |
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
matterId | string | yes |
Response
200 Roll call
| Field | Type | Description |
|---|---|---|
matterId | string | |
record | string | |
title | string | |
nickname | string | null | |
type | string | |
date | string (date) | |
result | string | |
passed | boolean | |
divided | boolean | |
tally | object | |
sponsor | string | null | |
committee | string | null | |
meetingId | string | null | |
memberVote | string | |
links | object | |
actionText | string | null | |
votes | object[] |
Example request
curl "https://www.chicagopolitics.org/api/v1/roll-calls/{matterId}" \
-H "Authorization: Bearer $CHICAGO_POLITICS_KEY"
Errors: 400, 401, 404, 429 (see errors).